BernardoLedoitRatio {PerformanceAnalytics} | R Documentation

## Bernardo and Ledoit ratio of the return distribution

### Description

To calculate Bernardo and Ledoit ratio we take the sum of the subset of returns that are above 0 and we divide it by the opposite of the sum of the subset of returns that are below 0

### Usage

    BernardoLedoitRatio(R, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`...` | any other passthru parameters

### Details

BernardoLedoitRatio(R) = 1/n*sum(t=1..n)(max(R(t),0)) / 1/n*sum(t=1..n)(max(-R(t),0))

where n is the number of observations of the entire series

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.95

### Examples

    data(portfolio_bacon)
    print(BernardoLedoitRatio(portfolio_bacon[,1])) #expected 1.78

    data(managers)
    print(BernardoLedoitRatio(managers['1996']))
    print(BernardoLedoitRatio(managers['1996',1])) #expected 4.598

[Package PerformanceAnalytics version 1.5.3 Index]